Name:           perl-beancounter
Version:        0.8.10
Release:        1%{?dist}
Summary:        Stock portfolio performance monitor tool
License:        CHECK(GPL+ or Artistic)
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/beancounter/
Source0:        http://www.cpan.org/authors/id/E/ED/EDD/beancounter_%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Date::Manip) >= 5.35
BuildRequires:  perl(DBI) >= 1.16
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Finance::YahooQuote) >= 0.2
BuildRequires:  perl(HTML::Parser) >= 2.2
BuildRequires:  perl(HTTP::Request) >= 1.23
BuildRequires:  perl(LWP::UserAgent) >= 1.62
BuildRequires:  perl(Statistics::Descriptive) >= 2.4
BuildRequires:  perl(Text::ParseWords) >= 3.1
Requires:       perl(Date::Manip) >= 5.35
Requires:       perl(DBI) >= 1.16
Requires:       perl(Finance::YahooQuote) >= 0.2
Requires:       perl(HTML::Parser) >= 2.2
Requires:       perl(HTTP::Request) >= 1.23
Requires:       perl(LWP::UserAgent) >= 1.62
Requires:       perl(Statistics::Descriptive) >= 2.4
Requires:       perl(Text::ParseWords) >= 3.1
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
beancounter gathers and analyses stock market data to evaluate portfolio
performance. It has several modes of operation. The first main mode is data
gathering: both current data (e.g. end-of-day closing prices) and
historical price data (to back-populate the database) can be retrieved both
automatically and efficiently with subsequent local storage in a relational
database system (either PostgreSQL, MySQL or SQLite) though any other
system with an ODBC driver could be used). The second main mode is data
analysis where the stored data is evaluated to provide performance
information. Several canned reports types are already available.

%prep
%setup -q -n beancounter-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc beancounter beancounter_example.txt beancounter.html BeanCounter.html beancounter_schema_mysql.txt beancounter_schema_postgresql.txt beancounter_schema_sqlite.txt example.beancounterrc flip_symbol.sh README README.Debian README.non-gnu setup_beancounter THANKS TODO update_beancounter
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_mandir}/man1/*
%{_bindir}/*


%changelog
* Fri Mar 17 2017 Dave Cross <dave@mag-sol.com> 0.8.10-1
- Specfile autogenerated by cpanspec 1.78.
